Bug 1008912 - [pre-ER1] Failures during rollback silently ignored
[pre-ER1] Failures during rollback silently ignored
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Patching (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: EAP 6.2.0
Assigned To: Emanuel Muckenhuber
Jan Martiska
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 06:32 EDT by Jan Martiska
Modified: 2015-02-01 18:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:49:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Martiska 2013-09-17 06:32:54 EDT
When you rollback a patch and the process is unable to delete some of the files (eg. an added module's directory is not writable), the files are ignored silently (no exception even in DEBUG level). There should be a notification for the user that something did not succeed and he should clean up manually.

This is fixed in ER1, just cloning the issue for reference.

Note You need to log in before you can comment on or make changes to this bug.